function initialize() {
    loadTitle();
    loadPublishTime();
    loadContent();
    loadAuthor();
    asyncImg();
    onLoadFinished();
    $(".content img").lazyload();
}

function asyncImg() {
    var imgs = $(".content img");
    for (let i = 0; i < imgs.length; i++) {
        var src = $(".content img:eq(" + i + ")").attr('src');
        $(".content img:eq(" + i + ")").attr("data-original", src);
        $(".content img:eq(" + i + ")").attr("src", "image/image_bg.jpg");
        $(imgs[i]).on("click",()=>{
            getImgIndex(i);
        })
    }
}
window.onload = function() {
    initialize();
}

function loadTitle() {
    $("#title").text(getTitle());
}
function loadAuthor() {
    $("#author").text(getAuthor());
}

function loadPublishTime() {
    $("#publish_time").text(getPublishTime());
}

function loadContent() {
    $("#content").html(getContent());
}
function hiddenElement(selector) {
    $(selector).hide();
}

function showElement(selector) {
    $(selector).show();
}
